package cn.stylefeng.team.project.modular.business.service;

import cn.stylefeng.roses.kernel.db.api.pojo.page.PageResult;
import cn.stylefeng.roses.kernel.sys.api.ProjectBusinessGetApi;
import cn.stylefeng.team.project.api.BusinessServiceApi;
import cn.stylefeng.team.project.api.entity.Business;
import cn.stylefeng.team.project.modular.business.pojo.request.BusinessRequest;
import cn.stylefeng.team.project.modular.business.pojo.response.BusinessVo;
import cn.stylefeng.team.project.modular.businessrender.pojo.response.BusinessModelFormViewResponse;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

public interface BusinessService extends IService<Business>, ProjectBusinessGetApi, BusinessServiceApi {

    void add(BusinessRequest businessRequest);

    void del(BusinessRequest businessRequest);

    void batchDelete(BusinessRequest businessRequest);

    void edit(BusinessRequest businessRequest);

    Business detail(BusinessRequest businessRequest);

    List<Business> findList(BusinessRequest businessRequest);

    PageResult<BusinessVo> findPage(BusinessRequest businessRequest);

    List<Business> getCategoryBusinessList(List<Long> categoryId, String searchText);

    BusinessModelFormViewResponse getBusinessModelFormView(BusinessRequest businessRequest);

}
